from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session

from app.db.session import get_db

router = APIRouter()


@router.get("/")
async def get_restaurants(db: Session = Depends(get_db)):
    """
    Get list of restaurants
    """
    # Restaurant retrieval will be implemented in a later step
    return {"detail": "Restaurants endpoint placeholder"}